Skip to main content
Versionv1

Number Validation API (1.0.0)

Download OpenAPI specification:Download

Validate and enrich phone numbers with network, operator, and portability data.

Number

Check a phone number

Check phone number

Check a phone number to retrieve formatting, validity, location, operator, and network data, depending on the requested connection type.

Authorizations:
JWT
Request Body schema: application/json
required
phoneNumber
required
string

The phone number to check. Must start with a +.

ConnectionType (string) or null

The type of connection to use when retrieving the data. Defaults to static if not provided.

Responses

Request samples

Content type
application/json
{
  • "phoneNumber": "+31612345678",
  • "connectionType": "hlr"
}

Response samples

Content type
application/json
Example
{
  • "format": {
    },
  • "type": "mobile",
  • "country": "Netherlands",
  • "callingCode": 31,
  • "regionCode": "nl",
  • "operator": "Vodafone",
  • "mcc": "204",
  • "mnc": "04",
  • "source": "hlr",
  • "roaming": {
    },
  • "isValid": true,
  • "isActive": true,
  • "isPorted": null
}